behaviors:
  Pedone:
    trainer_type: ppo
    checkpoint_interval: 100000
    keep_checkpoints: 10   
    hyperparameters:
      batch_size: 256  # Ridotto da 512
      buffer_size: 2560  # Ridotto da 5120
      learning_rate: 0.001  # Ridotto da 0.003
      beta: 0.0025  # Ridotto da 0.005
      epsilon: 0.1  # Ridotto da 0.2
      lambd: 0.9  # Ridotto da 0.95
      num_epoch: 2  # Ridotto da 3
      learning_rate_schedule: constant
    network_settings:
      normalize: false
      hidden_units: 128  # Ridotto da 256
      num_layers: 1  # Ridotto da 2
      vis_encoder_type: simple
    reward_signals:
      extrinsic:
        gamma: 0.95  # Ridotto da 0.99
        strength: 0.8  # Ridotto da 1.0
    max_steps: 100000000000000000
    time_horizon: 64
    summary_freq: 1000
    threaded: true



    